Bug 30603 - Sort 1 and Sort 2 on patron form are on longer free text when AV categories are empty
Summary: Sort 1 and Sort 2 on patron form are on longer free text when AV categories a...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL:
Keywords: regression
: 30602 (view as bug list)
Depends on: 29844
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-24 09:42 UTC by Katrin Fischer
Modified: 2022-05-17 12:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30603: Display Sort1 and Sort2 as free text if no AV exists (1.20 KB, patch)
2022-05-09 07:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30603: Display Sort1 and Sort2 as free text if no AV exists (1.20 KB, patch)
2022-05-09 07:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30603: Fix other occurrences (11.60 KB, patch)
2022-05-09 07:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30603: Display Sort1 and Sort2 as free text if no AV exists (1.24 KB, patch)
2022-05-10 00:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 30603: Fix other occurrences (11.62 KB, patch)
2022-05-10 00:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 30603: Display Sort1 and Sort2 as free text if no AV exists (1.30 KB, patch)
2022-05-10 11:39 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30603: Fix other occurrences (11.68 KB, patch)
2022-05-10 11:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-04-24 09:42:14 UTC
Before a recent change Sort 1 and Sort 2 would appear as free text input fields when there were no AV values for Bsort1 and Bsort2. Now it appears as an empty pull down instead.

This is a bigger regression and could possibly cause data loss if records are saved where Sort 1 and Sort 2 have been filled.
Comment 1 Jonathan Druart 2022-05-09 07:30:14 UTC
Created attachment 134778 [details] [review]
Bug 30603: Display Sort1 and Sort2 as free text if no AV exists

Test plan:
Don't define AV for Sort1 and Sort2, edit a patron
=> Should be editable via an input box

Define AVs for Sort1 and Sort2, edit a patron
=> Should see the dropdown
Comment 2 Jonathan Druart 2022-05-09 07:42:24 UTC
*** Bug 30602 has been marked as a duplicate of this bug. ***
Comment 3 Jonathan Druart 2022-05-09 07:43:54 UTC
Created attachment 134779 [details] [review]
Bug 30603: Display Sort1 and Sort2 as free text if no AV exists

Test plan:
Don't define AV for Sort1 and Sort2, edit a patron
=> Should be editable via an input box

Define AVs for Sort1 and Sort2, edit a patron
=> Should see the dropdown
Comment 4 Jonathan Druart 2022-05-09 07:43:58 UTC
Created attachment 134780 [details] [review]
Bug 30603: Fix other occurrences
Comment 5 David Nind 2022-05-10 00:10:45 UTC
Created attachment 134798 [details] [review]
Bug 30603: Display Sort1 and Sort2 as free text if no AV exists

Test plan:
Don't define AV for Sort1 and Sort2, edit a patron
=> Should be editable via an input box

Define AVs for Sort1 and Sort2, edit a patron
=> Should see the dropdown

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2022-05-10 00:10:50 UTC
Created attachment 134799 [details] [review]
Bug 30603: Fix other occurrences

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Tomás Cohen Arazi 2022-05-10 11:39:57 UTC
Created attachment 134812 [details] [review]
Bug 30603: Display Sort1 and Sort2 as free text if no AV exists

Test plan:
Don't define AV for Sort1 and Sort2, edit a patron
=> Should be editable via an input box

Define AVs for Sort1 and Sort2, edit a patron
=> Should see the dropdown

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 8 Tomás Cohen Arazi 2022-05-10 11:40:03 UTC
Created attachment 134813 [details] [review]
Bug 30603: Fix other occurrences

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Fridolin Somers 2022-05-11 08:49:09 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄